zenilib: pp::DirectiveHandler Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
pp::DirectiveHandler Class Referenceabstract

`#include <DirectiveHandlerBase.h>`

Inherited by TDirectiveHandler.

## Public Member Functions

virtual | ~DirectiveHandler ()
virtual void | handleError (const SourceLocation &loc, const std::string &msg)=0
virtual void | handleExtension (const SourceLocation &loc, const std::string &name, const std::string &behavior)=0
virtual void | handlePragma (const SourceLocation &loc, const std::string &name, const std::string &value)=0
virtual void | handleVersion (const SourceLocation &loc, int version)=0

## Detailed Description

Definition at line 21 of file DirectiveHandlerBase.h.

## Constructor & Destructor Documentation

pp::DirectiveHandler::~DirectiveHandler | ( |  | ) |

virtual

Definition at line 12 of file DirectiveHandlerBase.cpp.

## Member Function Documentation

virtual void pp::DirectiveHandler::handleError | ( | const SourceLocation & | loc,
|  | const std::string & | msg
| ) |  |

pure virtual

Implemented in TDirectiveHandler.

virtual void pp::DirectiveHandler::handleExtension | ( | const SourceLocation & | loc,
|  | const std::string & | name,
|  | const std::string & | behavior
| ) |  |

pure virtual

Implemented in TDirectiveHandler.

virtual void pp::DirectiveHandler::handlePragma | ( | const SourceLocation & | loc,
|  | const std::string & | name,
|  | const std::string & | value
| ) |  |

pure virtual

Implemented in TDirectiveHandler.

virtual void pp::DirectiveHandler::handleVersion | ( | const SourceLocation & | loc,
|  | int | version
| ) |  |

pure virtual

Implemented in TDirectiveHandler.

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/preprocessor/DirectiveHandlerBase.h
- zenilib/jni/external/angle/src/compiler/preprocessor/DirectiveHandlerBase.cpp